Get Details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thanks.io/api/v2/sub-accounts/{subAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.thanks.io/api/v2/sub-accounts/{subAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thanks.io/api/v2/sub-accounts/{subAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 1,
"user_id": 2,
"title": "My New Sub Account",
"return_name": "John Smith",
"return_address": "123 Smith Street 11",
"return_address2": "Apt 1",
"return_city": "Denver",
"return_state": "CO",
"return_postal_code": "12345",
"message_background_url": null,
"postcard6x9_background_url": null,
"notecard_background_url": null,
"windowedletter_background_url": null,
"windowlessletter_background_url": null,
"branding_fields": {
"accentColor": "#5f01d1",
"symbol": "",
"logo": "https://s3.amazonaws.com/content.thanks.io/templates/dynamic-images/5dcb82c0-f258-11ef-9c99-e542d768ea52.png",
"disclaimer": null,
"headshot": null,
"name": "John Gray",
"email": "test@test.com",
"phone": "1234567890",
"company": null,
"domain": null,
"set": true,
"first_name": "John"
},
"created_at": "2020-02-14 20:50:02",
"updated_at": "2025-07-16 19:03:31"
}{
"message": "Unauthorized"
}{
"message": "Not Found"
}Account
Show Sub-Account
Gets a sub-account by ID. Returns a single sub-account object. branding_fields is an object that contains branding information for the sub-account - it can only be set via the thanks.io dashboard
GET
/
sub-accounts
/
{subAccountId}
Get Details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thanks.io/api/v2/sub-accounts/{subAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.thanks.io/api/v2/sub-accounts/{subAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thanks.io/api/v2/sub-accounts/{subAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 1,
"user_id": 2,
"title": "My New Sub Account",
"return_name": "John Smith",
"return_address": "123 Smith Street 11",
"return_address2": "Apt 1",
"return_city": "Denver",
"return_state": "CO",
"return_postal_code": "12345",
"message_background_url": null,
"postcard6x9_background_url": null,
"notecard_background_url": null,
"windowedletter_background_url": null,
"windowlessletter_background_url": null,
"branding_fields": {
"accentColor": "#5f01d1",
"symbol": "",
"logo": "https://s3.amazonaws.com/content.thanks.io/templates/dynamic-images/5dcb82c0-f258-11ef-9c99-e542d768ea52.png",
"disclaimer": null,
"headshot": null,
"name": "John Gray",
"email": "test@test.com",
"phone": "1234567890",
"company": null,
"domain": null,
"set": true,
"first_name": "John"
},
"created_at": "2020-02-14 20:50:02",
"updated_at": "2025-07-16 19:03:31"
}{
"message": "Unauthorized"
}{
"message": "Not Found"
}Authorizations
Bearer token authentication using your thanks.io API key
Path Parameters
ID of sub-account
Example:
56
Response
Successful Response
Example:
1
Example:
2
Example:
"My Sub Account"
Example:
"John Smith"
Example:
"123 Smith Street"
Example:
"Apartment 2"
Example:
"Denver"
Example:
"CO"
Example:
"12345"
Was this page helpful?